curl --request POST \
--url https://api.tagada.io/api/public/v1/promotion-codes/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promotionId": "promo_123",
"page": 1,
"limit": 20
}
'{
"items": [
{
"id": "pc_123",
"code": "SUMMER20",
"promotionId": "promo_123",
"storeId": "store_123",
"active": true,
"usageCount": 5,
"usageLimit": 100,
"firstTimeCustomersOnly": false,
"expiresAt": "2025-08-31T23:59:59.000Z",
"promotion": {
"id": "promo_123",
"name": "Summer Sale",
"storeId": "store_123"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}promotion-codes
List promotion codes
Get promotion codes with filtering and pagination
POST
/
api
/
public
/
v1
/
promotion-codes
/
list
curl --request POST \
--url https://api.tagada.io/api/public/v1/promotion-codes/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promotionId": "promo_123",
"page": 1,
"limit": 20
}
'{
"items": [
{
"id": "pc_123",
"code": "SUMMER20",
"promotionId": "promo_123",
"storeId": "store_123",
"active": true,
"usageCount": 5,
"usageLimit": 100,
"firstTimeCustomersOnly": false,
"expiresAt": "2025-08-31T23:59:59.000Z",
"promotion": {
"id": "promo_123",
"name": "Summer Sale",
"storeId": "store_123"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
